add_window_dim <- function(data, sdate_dim = "sdate", time_dim = "time", window_size = 5) {

  dims <- dim(data)
  dim_names <- names(dims)
  
  sdate_index <- which(dim_names == sdate_dim)
  time_index <- which(dim_names == time_dim)
  
  if (length(sdate_index) == 0 || length(time_index) == 0) {
    stop("Las dimensiones 'sdate' y 'time' deben existir en el array de entrada.")
  }

  window_length <- 2 * window_size + 1
  new_dims <- c(dims, window = window_length)
  new_data <- array(NA, dim = new_dims)
  for (t in 1:dims[time_index]) { 
    count <- 1
    for (w in -window_size:window_size) {
      
      t_selected <- t + w
      if (t_selected < 1) {
        t_selected <- dims[time_index] + t_selected  
      } else if (t_selected > dims[time_index]) {
        t_selected <- t_selected - dims[time_index] 
      }
      data_sel <- data[,t_selected]
      new_data[,t,count] <- data_sel
      count <- count+1
    }
  }

  return(new_data)
}