
get_fdays <- function(fyears, calendar, month_init){
  
  ## Limitation: it does not consider leap years!!!
  
  if (calendar %in% c('365_day','noleap','proleptic_gregorian','gregorian','standard')){
    
    n_days <- 365
    
    if (month_init == 'Jan'){
      fdays_aux <- 1:(n_days)
    } else if (month_init == 'Oct'){
      fdays_aux <- 93:(n_days+92)
    } else if (month_init == 'Nov'){
      fdays_aux <- 62:(n_days+61)
    } else {stop('Incorrect month_init')}
    
  } else if (calendar %in% c('360_day')){
    
    n_days <- 360
    
    if (month_init == 'Jan'){
      fdays_aux <- 1:n_days
    } else if (month_init == 'Oct'){
      fdays_aux <- 91:(n_days+90)
    } else if (month_init == 'Nov'){
      fdays_aux <- 61:(n_days+60)
    } else {stop('Incorrect month_init')}
    
  } else if (calendar == '6hr'){
    n_days <- 365*4
    if (month_init == 'Jan'){
      # fdays_aux <- (355*4+1):(n_days+(355*4)) # Empieza en 11/01 de enero del propio año
      fdays_aux <- 1:n_days
    } else if (month_init == 'Oct'){
      fdays_aux <- 91:(n_days+90)
    } else if (month_init == 'Nov'){
      fdays_aux <- (61*4+1):(n_days+(61*4))
    } else {stop('Incorrect month_init')}
    
  } else if (calendar == '3hr'){
    n_days <- 365*8
    if (month_init == 'Jan'){
      # fdays_aux <- (355*4+1):(n_days+(355*4)) # Empieza en 11/01 de enero del propio año
      fdays_aux <- 1:n_days
    } else if (month_init == 'Oct'){
      fdays_aux <- (91*2):(n_days+(90*2)) # no está comprobado
    } else if (month_init == 'Nov'){
      fdays_aux <- ((61*4+1)*2):(n_days+((61*4)*2)) # no está comprobado
    } else {stop('Incorrect month_init')}
  }
  
  else {stop('Incorrect calendar.')}
  fdays <- NULL

  for (fy in fyears){fdays <- c(fdays, n_days*(fy-1) + fdays_aux)}

  return(fdays)
}
