
path <- '/gpfs/scratch/bsc32/MN4/bsc32/bsc32693/data_amd/scratch/gitlab/capacity_factors'

header <- "#!/bin/bash
#!/bin/bash
#SBATCH -t 24:00:00
#SBATCH -c 6
#SBATCH --constraint=highmem
#SBATCH -J sun

#SBATCH -o /gpfs/scratch/bsc32/MN4/bsc32/bsc32693/data_amd/scratch/amd_logs/slurm-1focus-%j.out
#SBATCH -e /gpfs/scratch/bsc32/MN4/bsc32/bsc32693/data_amd/scratch/amd_logs/slurm-1focus-%j.err

module load CDO/1.9.8-foss-2019b
module load R/4.3.2-foss-2019b

"

models <- c('BCC-CSM2-MR')
method <- c('second')

for (model in models){
  if (identical(model, 'BCC-CSM2-MR')) {
    members <- paste0('r', 1:1, 'i1p1f1')
  } else if (identical(model, 'CanESM5')) {
    members <- paste0('r', 1:20, 'i1p2f1')
  } else if (identical(model, 'CMCC-CM2-SR5')) {
    members <- paste0('r', 1:10, 'i1p1f1')
  } else if (identical(model, 'EC-Earth3-i1')) {
    members <- paste0('r',1:10,'i1p1f1')
  } else if (identical(model, 'EC-Earth3-i2')) {
    members <- paste0('r',6:10,'i2p1f1')
  } else if (identical(model, 'EC-Earth3-i4')) {
    members <- paste0('r',1:10,'i4p1f1')
  } else if (identical(model, 'HadGEM3-GC3.1-MM')) {
    members <- paste0('r',1:10,'i1p1f2')
  } else if (identical(model, 'IPSL-CM6A-LR')) {
    members <- paste0('r',1:10,'i1p1f1')
  } else if (identical(model, 'MIROC6')) {
    members <- paste0('r',1:10,'i1p1f1') # 2
  } else if (identical(model, 'MPI-ESM1.2-HR')) {
    members <- paste0('r',1:10,'i1p1f1')
  } else if (identical(model, 'MRI-ESM2-0')) {
    members <- paste0('r',1:10,'i1p1f1')
  } else if (identical(model, 'NorCPM1-i1')) {
    members <- paste0('r',1:10,'i1p1f1')
  } else if (identical(model, 'NorCPM1-i2')) {
    members <- paste0('r',1:10,'i1p2f1')
  }
  for (member in members){
  launcher <- paste0(path,'launcher_',model,'.sh')
  
  ## Creating the launcher
  sink(file = launcher, type = 'output')
  cat(paste0(header, 'Rscript calculate_solar_capacity_factors.R ',model,' ',member,' ',method))
  sink()
  
  ## Submitting the job
  system(command = paste0('sbatch ',launcher))
  
  ## Removing the launcher
  system(command = paste0('rm ',launcher))
  }
}
