path <- '/gpfs/scratch/bsc32/MN4/bsc32/bsc32693/data_amd/scratch/gitlab/capacity_factors'

header <- "#!/bin/bash
#!/bin/bash
#SBATCH -t 48:00:00
#SBATCH --account=bsc32
#SBATCH --qos=gp_bsces
#SBATCH -c 100
#SBATCH -J wind

#SBATCH -o /gpfs/scratch/bsc32/MN4/bsc32/bsc32693/data_amd/scratch/mn5_logs/slurm-1focus-%j.out
#SBATCH -e /gpfs/scratch/bsc32/MN4/bsc32/bsc32693/data_amd/scratch/mn5_logs/slurm-1focus-%j.err

source /gpfs/projects/bsc32/software/suselinux/11/software/Miniconda3/4.7.10/etc/profile.d/conda.sh
conda activate /gpfs/projects/bsc32/repository/apps/conda_envs/SUNSET-env_2.0.0/

"
models <- c('IPSL-CM6A-LR')
members <- c('r1i1p1f1')
region <- c('Iberia')

for (model in models){
  for (member in members){
    launcher <- paste0(path,'launcher_',model,'.sh')
    
    ## Creating the launcher
    sink(file = launcher, type = 'output')
    cat(paste0(header, 'Rscript wind_quantile.R ',model,' ',member,' ',region))
    sink()
    
    ## Submitting the job
    system(command = paste0('sbatch ',launcher))
    
    ## Removing the launcher
    system(command = paste0('rm ',launcher))
  }
}
