
library(ClimProjDiags)
library(s2dv)

significant_fraction <- function(skill, sign, lon, lat, positive = TRUE, mask_ocean = TRUE, mask_grid = 'r128x64', londim = 'lon', latdim = 'lat'){

  if (isTRUE(mask_ocean)){
    mask <- load_mask(grid = mask_grid, mask_path = NULL, land_value = 0, sea_value = 1, crop = c(lon[1],lon[length(lon)],lat[1],lat[length(lat)]))
    mask$mask <- s2dv::Reorder(data = mask$mask, order = c('lon','lat'))
    if (length(lat) != length(mask$lat)){ # parche está mal
      mask$lat <- lat
    }
    all(round(lat,5) == round(mask$lat,5))
    mask <- ShiftLon(data = mask$mask, lon = mask$lon, westB = lon[1], lon_dim = 'lon')
    skill[mask$data == 1] <- NA
    sign[mask$data == 1] <- NA
    all(round(lon,5) == round(mask$lon,5))
  }
  
  f <- NA * skill
  
  if (isTRUE(positive)){
    f[sign == TRUE & skill > 0] <- 1
    f[!(sign == TRUE & skill > 0)] <- 0
  } else if (isFALSE(positive)){
    f[sign == TRUE & skill < 0] <- 1
    f[!(sign == TRUE & skill < 0)] <- 0
  } else {stop('positive must be TRUE or FALSE')}
  f[is.na(skill)] <- NA
  
  f <- ClimProjDiags::WeightedMean(data = f, lon = lon, lat = lat, region = NULL, 
                                   mask = NULL, londim = londim, latdim = latdim)
  return(f)
}
