# setwd('/esarchive/scratch/smoreno/gitlab/capacity_factors/')
source('config.R')
region <- 'Iberia'
path_day <- '/esarchive/recon/ecmwf/era5/daily_mean/$var$_f1h-r1440x721cds/$var$_$year$$month$.nc'
path_hour <- '/esarchive/recon/ecmwf/era5/hourly/$var$-r1440x721cds/$var$_$year$$month$.nc'

hour_rsds <- startR::Start(dat = path_hour, var = 'rsds', 
                           lon = values(list(config$regions[[region]]$lon_min,config$regions[[region]]$lon_max)),
                           lat = values(list(config$regions[[region]]$lat_min,config$regions[[region]]$lat_max)),
                           year = paste0(2000), month = 'all', time = 'all',
                           time_across = 'month', merge_across_dims = TRUE, merge_across_dims_narm = FALSE,
                           synonims = list(lat = c('lat','latitude'), lon = c('lon','longitude')),
                           return_vars = list(lat = NULL, lon = NULL, time = c('month','year')), lon_var = 'lon', lat_var = 'lat',
                           lat_reorder = Sort(decreasing = FALSE), lon_reorder = CircularSort(-180,180),
                           num_procs = 1, retrieve = TRUE)

day_rsds <- startR::Start(dat = path_day, var = 'rsds', 
                           lon = values(list(config$regions[[region]]$lon_min,config$regions[[region]]$lon_max)),
                           lat = values(list(config$regions[[region]]$lat_min,config$regions[[region]]$lat_max)),
                           year = paste0(2000), month = 'all', time = 'all',
                           time_across = 'month', merge_across_dims = TRUE, merge_across_dims_narm = FALSE,
                           synonims = list(lat = c('lat','latitude'), lon = c('lon','longitude')),
                           return_vars = list(lat = NULL, lon = NULL, time = c('month','year')), lon_var = 'lon', lat_var = 'lat',
                           lat_reorder = Sort(decreasing = FALSE), lon_reorder = CircularSort(-180,180),
                           num_procs = 1, retrieve = TRUE)
